import javax.microedition.lcdui.*;

public class WiezeHanoiScore extends Canvas
    implements CommandListener, WiezeHanoiConstants{

    private int WIDTH = getWidth();
    private int HEIGHT = getHeight();
    private WiezeHanoiMIDlet midlet;
    private Command commandExit;
    private Command jeszczeRaz;
    private long score;
    private String napis = null;

    public WiezeHanoiScore(WiezeHanoiMIDlet midlet,long score){
        this.midlet = midlet;
        commandExit = new Command("Wyjcie", Command.EXIT,1);
        jeszczeRaz = new Command("Powtrz", Command.OK,1);
        addCommand(commandExit);
        addCommand(jeszczeRaz);
        setCommandListener(this);
        this.score = score;
    }

    public WiezeHanoiScore(WiezeHanoiMIDlet midlet,String napis){
        this.midlet = midlet;
        commandExit = new Command("Wyjcie", Command.EXIT,1);
        jeszczeRaz = new Command("Powtrz", Command.OK,1);
        addCommand(commandExit);
        addCommand(jeszczeRaz);
        setCommandListener(this);
        this.napis = napis;
    }

    public void paint(Graphics g){
        g.setColor(WHITE);
        g.fillRect(0,0,WIDTH,HEIGHT);
        g.setColor(BLACK);
        if(napis != null){
            g.drawString(napis,10,10,g.LEFT | g.TOP);
        }
        else{
            g.drawString("Twj czas:",10,10,g.LEFT | g.TOP);
            g.drawString(score/60000+":"+score/1000,WIDTH/2,HEIGHT/2,
                                                g.HCENTER | g.TOP);
        }
    }

    public void commandAction(Command c, Displayable d){
        if(c == commandExit){
            midlet.exitApp();
        }
        if(c == jeszczeRaz){
            midlet.showOptionScreen();
        }
    }
}